diodload(8)

NAME
diodload - create artificial diod load

SYNOPSIS
diodload [OPTIONS] [-s NAME]

DESCRIPTION
diodload connects to a diod server and issues requests. Unless changed with -g, each thread copies from ctl:zero to ctl:null. Note that the "ctl" synthetic file system must be explicitly exported.

OPTIONS

-s, --server NAME
    The server in IP[:PORT], HOST[:PORT], or /path/to/socket form default localhost:564).

-m, --msize SIZE
    Specifiy the maximum size of a protocol unit (default 65536).

-r, --runtime SECS
    Specify the runtime in seconds (default 10).

-n, --numthreads NUM
    Specify the number of concurrent threads making requests (default 16).

-g, --getattr
    Issue a stream of getattrs on ctl:null instead of the default load.

SEE ALSO
diod (8)